DIFF3(1)

NAZWA
diff3 - znajdź różnice między trzema plikami

SKŁADNIA
diff3 [opcje] mój starszy twój

OPIS
Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo diff3
lub
    info diff3.

Polecenie diff3 porównuje trzy pliki i podaje opisy różnic pomiędzy nimi. Plikami porównywanymi są argumenty nazwane tu mój, starszy i twój. Co najwyżej jedną z tych trzech nazw może być -, mówiąca diff3 by zamiast tego pliku czytał standardowe wejście.

OPCJE
Poniżej podano podsumowanie wszystkich opcji akceptowanych przez GNU diff3. Można łączyć kilka opcji jednoliterowych (chyba że pobierają argument) w pojedynczy argument wiersza poleceń.

-a

--text
    Traktuje wszystkie pliki jak tekstowe i porównuje je linia po linii, nawet jeśli nie wyglądają na tekstowe.

-A

--show-all
    Nanosi wszystkie zmiany powstałe między starszy a twój do pliku mój, ujmując wynikłe konflikty pomiędzy linie zawierające ciągi nawiasów ostrych (>, <).

-e

--ed
    Tworzy skrypt programu ed, który nanosi zmiany pomiędzy starszy a twój do pliku mój.

-E

--show-overlap
    Jak -e, ale dodatkowo obejmuje nakładające się zmiany parami linii nawiasów ostrych. Z opcją -E, nakładająca się zmiana wygląda tak:

    <<<<<<< mój
    linie z mój
    =======
    linie z twój
    >>>>>>> twój

-3

--easy-only
    Jak -e, z wyjątkiem tego, że wypisuje tylko zmiany nienakładające się.

-i  Na końcu skryptu ed generuje polecenia w i q, by był zgodny z System V. Opcja ta musi być użyta z jedną z opcji -AeExX3, a nie może być łączona z -m.

-T

--initial-tab
    Zamiast dwu spacji przed tekstem linii normalnego formatu wypisuje tabulację. Powoduje, że wyrównanie tabulacji w linii wygląda normalnie.

-L etykieta

--label=etykieta
    W liniach nawiasów ostrych wypisywanych przez opcje -A, -E i -X używa etykiety etykieta w miejscu nazwy pliku. Opcję tę można podać do trzech razy, po jednym dla każdego pliku wejściowego. Domyślne etykiety są nazwami plików wejściowych. Zatem diff3 -L X -L Y -L Z -m A B C działa jak diff3 -m A B C, z wyjątkiem tego, że wynik wygląda jakby pochodził z plików o nazwach X, Y i Z a nie z plików nazywających się A, B i C.

-m

--merge
    Za pośrednictwem skryptu edycyjnego wprowadza zmiany do pierwszego pliku i wysyła wynik na standardowe wyjście. W przeciwieństwie do przesyłania potokiem wyjścia z diff3 do ed, działa nawet z plikami binarnymi i niekompletnymi liniami. Jeśli nie podano żadnej z opcji skryptu edycyjnego, to przyjmowana jest -A.

-x

--overlap-only
    Jak -e, ale wypisuje tylko zmiany nakładające się.

-X  Jak -E, ale wypisuje tylko zmiany, które się nakładają. Inaczej mówiąc, jak -x, tylko obejmuje zmiany w nawiasy ostre, jak w -E.

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy pracę.

-v

--version
    Wyświetla numer wersji programu i kończy pracę.

KOPIOWANIE
Plik ten powstał na podstawie podręcznika info pakietu diffutils. Copyright (C) 1992, 1993, 1994 Free Software Foundation, Inc. Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies. Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one. Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be stated in a translation approved by the Foundation.

ZOBACZ TAKŻE
cmp(1), comm(1), diff(1), ed(1), patch(1), sdiff(1).

DIAGNOSTYKA
Kod zakończenia 0 oznacza pomyślnie ukończoną pracę diff3, 1 napotkanie konfliktów, a 2 kłopoty.